import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { map } from 'rxjs';
import { apiUriAlan } from 'src/environments/environment';

@Injectable({
  providedIn: 'root'
})
export class GdelService {

  constructor(private http: HttpClient) {}

  getDocumentsByUser(idUser: string, line: number){
    return this.getQuery(`get-documents/${idUser}/${line}`).pipe(map((data: any) => data));
  }

  getQuery(query: string){
    const JWT = `Bearer ${localStorage.getItem('token')}`;
    const URL = `${apiUriAlan}${query}`;
    return this.http.get(URL, {
      headers: new HttpHeaders({
        Authorization: JWT
      })
    });
  }

  postQuery(query: string, body: any){
    const JWT = `Bearer ${localStorage.getItem('token')}`;
    const URL = `${apiUriAlan}${query}`;
    return this.http.post(URL, body, {
      headers: new HttpHeaders({
        Authorization: JWT!
      })
    });
  }
}
